<?
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* Page download
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaCommun
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");

	debugf(__FILE__,$HTTP_GET_VARS);
	
	$planning		= isset($HTTP_GET_VARS['planning'])?urldecode($HTTP_GET_VARS['planning']):'';
	$chemin_fichier = isset($HTTP_GET_VARS['dir'])?urldecode($HTTP_GET_VARS['dir']):'';
	$filename		= isset($HTTP_GET_VARS['filename'])?urldecode($HTTP_GET_VARS['filename']):'';
	
	$dir = $chemin_fichier.$filename ;
		
	if ( isset($HTTP_GET_VARS['planning']) && $HTTP_GET_VARS['planning']==1 ) {
		$nom = $filename;
	}  else {
		$nom = ExtractFileName($filename);
	}

	header("Content-type: application/force-download");
	header("Content-Disposition: attachment; filename=$nom");
	readfile($dir) or die("Le fichier spécifié est introuvable.");
	exit;

	/*
	header("Content-disposition: attachment; filename=$nom");
	header("Content-Type: application/force-download");
	header("Content-Length: ".filesize($dir));
	header("Pragma: no-cache");
	header("Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0");
	header("Expires: 0");
	readfile($dir);
	*/

?>